*{
  font-family: arial, sans-serif;
  margin:0;
  padding:0;
  box-sizing:border-box;
}

.recipebox {
 text-align: center;
}

.comment {
  margin: 5px;
  background-color: grey;
  padding: 5px;
  border-radius:2px;
}

.comment .user {
 font-weight: bold;
}

.action_button {
  padding: 2px 5px;
  margin: 4px 7px;
  background-color: green;
  border-radius: 5px;
  font-weight: bold;
  color: white;
  border: 1px solid white;
}

table {
    border-collapse: collapse;
    width: 90vw;
    margin: 20px;
}

td, th {
    border: 1px solid #dddddd;
    text-align: left;
    padding: 8px;
}

tr:nth-child(even) {
    background-color: #dddddd;
}

header {
  min-width: 800px;
  margin: 0;
  padding: 0;
  display: flex;
  background-color: darkgrey;
  color: white;
  min-height: 70px;
  box-shadow: 0 1px rgba(0,0,0,0.4);
}

header .left {
    display: flex;
    align-items: center;
    justify-content: start;
}

header .logo h1{
  padding: 0 10px;
  font-family: Spirax;
}

header .left a {
  padding: 30px 10px;;
  text-decoration: none;
  margin: 0;
  color: white;
  height: 100%;
}

header .center{
  flex-grow: 1;
}

header .right {
  min-width: 500px;
  display: flex;
  align-items: center;
  justify-content: end;
}

header .right a{
  white-space:nowrap;
  text-decoration: none;
  padding: 10px 30px;
  margin-right: 10px;
  background-color: grey;
  border: 1px solid white;
  border-radius: 5px;
  color: white;
  font-weight: bold;
  margin-top: 150px;
}

body {
  background-color: rgba(0,0,0,0.1);
}

footer {
  display: flex;
  /*position: absolute;
  bottom: 0;*/
  height: 100px;
  width: 100%;
  background-color: darkgrey;
  align-items: center;
  justify-content: center;
  box-shadow: 0 -1px rgba(0,0,0,0.4);

}

footer .coyright {

}

.error404 {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 100px;
}

.error404 .message {
  text-align: center;
}

.recipe_form {
  text-align: center;
  padding: 20px;
}

.recipe_form .ingredients {
  background: grey;
}

.recipe_form input{
  text-align: center;
  width: 400px;
  height: 40px;
  margin: 5px;
}

/*.recipe_form input[type='checkbox']{
  height: 40px;
  width: 40px;
  margin: 5px;
}*/

.recipe_form textarea {
  text-align: center;
  width: 400px;
  margin: 5px;
}


.recipe_form button{
  padding: 20px 0;
  width: 400px;
  background-color: green;
  border-radius: 5px;
  font-weight: bold;
  color: white;
  border: 1px solid white;
}

.btn_add_recipe {
  margin: 40px;
}
.btn_add_recipe a {
  text-decoration: none;
  background-color: green;
  color: white;
  padding: 10px 30px;
  border-radius: 10px;
}

.list_recipes {
  text-align: center;
}

.list_recipes .recipe {
  background-color: lightgrey;
  margin: 10px 20px;
  padding: 10px;
  border-radius: 10px;
}

.add_comment_form {
  background-color: lightgrey;
  padding: 20px;
  margin: 10px;
  border-radius: 5px;
  text-align: center;
}

.add_comment_form input {
  width : 300px;
}

.add_comment_form textarea {
  width : 300px;
}

.add_comment_form .note {
  width : 300px;
  display: inline-block;
}

.add_comment_form button {
  padding: 10px 0;
  margin-top: 5px;
  width: 300px;
  background-color: green;
  border: none;
  border-radius: 5px;
  color: white;
}

.auth {
  margin: 20px;
  text-align: center;
}

.auth input {
  width: 300px;
  height: 30px;
  margin: 5px;
}

.auth button {
  width: 300px;
  height: 40px;
  border-radius: 5px;
  background-color: green;
  color: white;
  font-weight: bold;
  border: 1px solid white;
}
